Last Comment Bug 723676 - Firefox crashing when applying XBL with empty method
: Firefox crashing when applying XBL with empty method
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: XBL (show other bugs)
: 10 Branch
: x86 Mac OS X
: -- critical (vote)
: mozilla13
Assigned To: Neil Deakin
:
Mentors:
Depends on:
Blocks: 94199
  Show dependency treegraph
 
Reported: 2012-02-02 12:42 PST by Gleb M. Borisov
Modified: 2012-02-14 05:20 PST (History)
7 users (show)
enndeakin: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
XPI with test case. Press CrashMe to reproduce (1.74 KB, text/plain)
2012-02-02 12:42 PST, Gleb M. Borisov
no flags Details
Testcase sources (2.26 KB, application/octet-stream)
2012-02-02 12:45 PST, Gleb M. Borisov
no flags Details
null check for method (2.68 KB, patch)
2012-02-08 13:05 PST, Neil Deakin
bzbarsky: review+
Details | Diff | Review

Description Gleb M. Borisov 2012-02-02 12:42:50 PST
Created attachment 593943 [details]
XPI with test case. Press CrashMe to reproduce

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/535.7 (KHTML, like Gecko) Chrome/16.0.912.77 Safari/535.7

Steps to reproduce:

Attaching XBL via elem.style.MozBinding = 'url(...)'


Actual results:

Firefox Crash


Expected results:

XBL should be attached
Comment 1 Gleb M. Borisov 2012-02-02 12:45:28 PST
Created attachment 593944 [details]
Testcase sources

Check case1.xul to see how XBL is applied and case1.xml to see XBL itself. Browser is crashing while loading XBL document.
Comment 2 Gleb M. Borisov 2012-02-02 12:45:46 PST
This issue is similiar to 199851, but I think a lot of things changed since 2003.
Comment 3 Josh Matthews [:jdm] 2012-02-02 12:52:20 PST
Can you provide a link to the corresponding crash report from about:crashes?
Comment 5 Boris Zbarsky [:bz] 2012-02-02 13:02:35 PST
This looks like a null-deref crash due to XBL fastload.  Are we trying to write out a null function object or something?
Comment 6 Neil Deakin 2012-02-08 13:05:57 PST
Created attachment 595501 [details] [diff] [review]
null check for method
Comment 7 Boris Zbarsky [:bz] 2012-02-08 13:12:16 PST
Comment on attachment 595501 [details] [diff] [review]
null check for method

r=me
Comment 8 Marco Bonardo [::mak] 2012-02-14 02:26:39 PST
https://hg.mozilla.org/mozilla-central/rev/a98cf6ce2f0a

Note You need to log in before you can comment on or make changes to this bug.